<?php

	require_once file_require(dirname( __FILE__ ) . '/class-tgm-plugin-activation.php');
	add_action( 'tgmpa_register', 'themeton_register_required_plugins' );

	function themeton_register_required_plugins() {

		/**
		 * Array of plugin arrays. Required keys are name and slug.
		 * If the source is NOT from the .org repo, then source is also required.
		 */
		$plugins = array(
            array(
                'name'              => 'Envato Market',
                'slug'              => 'envato-market',
                'source'            => esc_url('https://github.com/envato/wp-envato-market/archive/master.zip')
            ),
            array(
				'name'     				=> 'Revolution Slider', // The plugin name
				'slug'     				=> 'revslider', // The plugin slug (typically the folder name)
				'source'   				=> get_template_directory().'/framework/addons/plugins/revslider.zip',
				'required' 				=> true,
			),
                        array(
                'name'                  => 'Master Slider WP', // The plugin name
                'slug'                  => 'masterslider', // The plugin slug (typically the folder name)
                'source'                => get_template_directory().'/framework/addons/plugins/masterslider-installable.zip',
                'required'              => true,
            )

		);


	$config = array(
        'domain'            => 'themeton',           // Text domain - likely want to be the same as your theme.
        'default_path'      => '',                           // Default absolute path to pre-packaged plugins
        'parent_menu_slug'  => 'themes.php',         // Default parent menu slug
        'parent_url_slug'   => 'themes.php',         // Default parent URL slug
        'menu'              => 'install-required-plugins',   // Menu slug
        'has_notices'       => true,                         // Show admin notices or not
        'is_automatic'      => false,            // Automatically activate plugins after installation or not
        'message'           => '',               // Message to output right before the plugins table
        'strings'           => array(
            'page_title'                                => __( 'Install Required Plugins', 'themeton' ),
            'menu_title'                                => __( 'Install Plugins', 'themeton' ),
            'installing'                                => __( 'Installing Plugin: %s', 'themeton' ), // %1$s = plugin name
            'oops'                                      => __( 'Something went wrong with the plugin API.', 'themeton' ),
            'notice_can_install_required'               => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'doit' ), // %1$s = plugin name(s)
            'notice_can_install_recommended'            => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'doit' ), // %1$s = plugin name(s)
            'notice_cannot_install'                     => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'doit' ), // %1$s = plugin name(s)
            'notice_can_activate_required'              => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'doit' ), // %1$s = plugin name(s)
            'notice_can_activate_recommended'           => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'doit' ), // %1$s = plugin name(s)
            'notice_cannot_activate'                    => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'doit' ), // %1$s = plugin name(s)
            'notice_ask_to_update'                      => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'doit' ), // %1$s = plugin name(s)
            'notice_cannot_update'                      => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'doit' ), // %1$s = plugin name(s)
            'install_link'                              => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'doit' ),
            'activate_link'                             => _n_noop( 'Activate installed plugin', 'Activate installed plugins', 'doit' ),
            'return'                                    => __( 'Return to Required Plugins Installer', 'doit' ),
            'plugin_activated'                          => __( 'Plugin activated successfully.', 'doit' ),
            'complete'                                  => __( 'All plugins installed and activated successfully. %s', 'doit' ) // %1$s = dashboard link
        )
    );
 
    tgmpa( $plugins, $config );
 
}
       



?>